summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSebastian Pipping <sebastian@pipping.org>2018-02-07 11:33:28 +0100
committerSebastian Pipping <sebastian@pipping.org>2018-02-07 11:38:24 +0100
commit7bc11648c75c309db914748c5885a137a68723c9 (patch)
tree8a12caf69f7201ead556f1fb25813ee132d2a5b2
parentc8e24f7791fe9b0f5e96514c233b9c2307b21b60 (diff)
downloaduriparser-7bc11648c75c309db914748c5885a137a68723c9.tar.gz
scripts: Get remaining scripts to work again
* There is no nested configure at doc/configure.ac any more * For cpptest link errors see https://sourceforge.net/p/uriparser/mailman/message/36143576/ * autogen.sh does not have --download since 6ef0dfae94a3d605352adfa7cc008bc39983d6b6
-rwxr-xr-xscripts/edit_version.sh12
-rwxr-xr-xscripts/release.sh10
2 files changed, 7 insertions, 15 deletions
diff --git a/scripts/edit_version.sh b/scripts/edit_version.sh
index dd1d41b..387ba97 100755
--- a/scripts/edit_version.sh
+++ b/scripts/edit_version.sh
@@ -1,18 +1,6 @@
#! /usr/bin/env bash
-PWD_BACKUP=${PWD}
-SCRIPT_DIR=`dirname "${PWD}/$0"`
-cd "${SCRIPT_DIR}/.." || exit 1
-function fail() { cd "${PWD_BACKUP}" ; exit 1; }
-####################################################################
-
kwrite \
- doc/configure.ac \
include/uriparser/UriBase.h \
configure.ac \
ChangeLog \
&
-
-####################################################################
-cd "${PWD_BACKUP}" || fail
-exit 0
-
diff --git a/scripts/release.sh b/scripts/release.sh
index 54aab8c..c444644 100755
--- a/scripts/release.sh
+++ b/scripts/release.sh
@@ -10,15 +10,19 @@ rm -vRf uriparser-* 2> /dev/null
echo
echo ========== bootstrap ==========
-./autogen.sh --download || exit 1
+./autogen.sh || exit 1
echo
echo ========== configure ==========
-./configure || exit 1
+configure_flags=(
+ CPPFLAGS=-D_GLIBCXX_USE_CXX11_ABI=0 # to address cpptest link errors
+ --enable-doc
+)
+./configure "${configure_flags[@]}" || exit 1
echo
echo ========== make distcheck ==========
-make -j10 DISTCHECK_CONFIGURE_FLAGS='--enable-doc' distcheck || exit 1
+make -j10 DISTCHECK_CONFIGURE_FLAGS="${configure_flags[*]}" distcheck || exit 1
echo
echo ========== package docs ==========